TYPO3.Flow - Bug # 41449

Status: Resolved Priority: Could have
Author: Christian Jul Jensen Category: Package

Created: 2012-09-28 Assigned To: Christian Jul Jensen
Updated: 2012-11-12 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: Git 1.2 (master)

Subject: Generated composer manifest should have 'Description’ field

Description

PackageManager::writeComposerManifest generates no Description field if no Metadata is passed. This results in an invalid
composer-manifest. It doesn't seem to actually yield any problems or errors with composer per se though.

Related issues:

related to TYPOS Flow Base Distribution - Story # 41031: Composer support for... Resolved 2012-09-17

Associated revisions

Revision 17af2c03 - 2012-09-28 20:59 - Christian Jul Jensen
[BUGFIX] Make sure generated composermanifest is valid
Change-Id: 1cd089b9b8ff6ae488e83feebd662ffa3d67baee5

Fixes: #41449
Releases: 1.2

History

#1 - 2012-09-28 15:54 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/15140

#2 - 2012-09-28 20:59 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/15140

#3 - 2012-09-28 21:35 - Christian Jul Jensen
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:17af2c03a747b3fc2bb07e81c6395ed3bbf60a67.
#4 - 2012-11-12 09:46 - Karsten Dambekalns
- Assigned To set to Christian Jul Jensen
